<?php

/*************************************************************
*  TorrentFlux PHP Torrent Manager - Windows Version
*  www.torrentflux.com
**************************************************************/
/*
    This file is part of TorrentFlux (Windows Version).

    TorrentFlux is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TorrentFlux is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TorrentFlux; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

include_once("config.php");
include_once("functions.php");

$percent_done = "";
$time_left = "";
$down_speed = "";
$up_speed = "";
$user = "";
$error = "";

$graph_width = "";
$background = "#000000";

if(isset($alias) && file_exists($cfg["torrent_file_path"].$alias))
{
	// read the alias file
	$arStatus = file($cfg["torrent_file_path"].$alias);
	$percent_done = trim($arStatus[0]);
	$time_left = trim($arStatus[1]);
	$down_speed = trim($arStatus[2]);
	$up_speed = trim($arStatus[3]);
	$sharing = getSharingPercent(trim($arStatus[4]), trim($arStatus[5]));
	$user = getOwner($torrent);
		if (sizeof($arStatus) > 7)
		{
			for ($inx = 7; $inx < sizeof($arStatus); $inx++)
			{
				$error .= "<li><font color=\"#ff0000\">".$arStatus[$inx]."</font></li>";
			}
		}

}

if ($percent_done < 0)
{
	$percent_done = ($percent_done*-1)-100;
	$time_left = _INCOMPLETE;
}

if($percent_done < 1)
{
	$graph_width = "1";
}
else
{
	$graph_width = $percent_done;
}

if($percent_done >= 100)
{
	$percent_done = 100;
	$background = "#0000ff";
}

if(strlen($torrent) >= 45)
{
	$torrent = substr($torrent, 0, 39)."...";
}

?>

<?PHP DisplayHead(_DOWNLOADDETAILS, false, "5"); ?>
	<div align="center">
<?PHP
	if ($error != "")
	{
		echo "<img src=\"images/error.gif\" width=16 height=16 border=0 alt=\"ERROR\" align=\"absmiddle\">";
	}
	echo $torrent
?>

	<br>



	<table bgcolor="<?PHP echo $cfg["body_data_bg"] ?>" width=352 cellpadding=1>
	 <tr>
	 	<td>

		<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td background="themes/<?PHP echo $cfg["theme"] ?>/images/proglass.gif"><img src="images/blank.gif" width="<?PHP echo $graph_width * 3.5 ?>" height="13" border="0"></td>
			<td background="themes/<?PHP echo $cfg["theme"] ?>/images/noglass.gif" bgcolor="<?PHP echo $background ?>"><img src="images/blank.gif" width="<?PHP echo (100 - $graph_width) * 3.5 ?>" height="13" border="0"></td>
		</tr>
		</table>


		</td>
	 </tr>
	 <tr><td>

		<table border="0" cellpadding="2" cellspacing="0" width="100%">
		<tr>
			<td align="right" width="50%"><div class="tiny"><?PHP echo _PERCENTDONE ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$percent_done."%</strong>" ?></div></td>
		</tr>
		<tr>
			<td align="right"><div class="tiny"><?PHP echo _ESTIMATEDTIME ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$time_left."</strong>" ?></div></td>
		</tr>
		<tr>
			<td align="right"><div class="tiny"><?PHP echo _DOWNLOADSPEED ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$down_speed."</strong>" ?></div></td>
		</tr>
		<tr>
			<td align="right"><div class="tiny"><?PHP echo _UPLOADSPEED ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$up_speed."</strong>" ?></div></td>
		</tr>
		<tr>
			<td align="right"><div class="tiny"><?PHP echo _SHARING ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$sharing."</strong>" ?></div></td>
		</tr>
		<tr>
			<td align="right"><div class="tiny"><?PHP echo _USER ?>:</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$user."</strong>" ?></div></td>
		</tr>
<?PHP
	if ($error != "")
	{
?>
		<tr>
			<td align="right" valign="top"><div class="tiny">Error(s):</div></td>
			<td><div class="tiny"><?PHP echo "<strong>".$error."</strong>" ?></div></td>
		</tr>
<?PHP
	}
?>

		</table>

<?PHP

	echo "</td></tr></table>";

DisplayFoot(false); ?>
